Problem Upgrading WIndows Client from 1.2.2

I’m upgrading a very old installation. I successfully upgraded the CMS via 1.2.2 -> 1.4.2 -> 1.6.4 -> 1.7.8. For the client, I thought I could jump right from 1.2 to 1.7.8, but when I tried, I got this error: “A more recent version of Xibo Player is already installed on this computer.”. I then tried the 1.4.2 client installed, which seems to have worked. I then tried the 1.6.4 client install, but again got the ‘more recent version installed’ error.

I thought maybe I’d delete the client and start over, but there doesn’t seem to be an uninstall.

This is on Windows 10, if that matters.

Advice?

Thanks,
Mark

You can navigate to control panel → add remove programs
Alternatively in Windows 10, Settings → System → Apps & Features → find Xibo on the list and uninstall.

I guess it would be the correct way now actually, to fully uninstall it and perhaps also remove XiboClient.config.xml in
Users\<Username>\AppData\Roaming

AppData folder is hidden by default, if by chance you need to show hidden folders, in W10 you do:

After that download and install fresh 1.7.8 Xibo for Windows.

You probably can just install 1.7.8 on top of what you have at the moment, but clean installation might be better in this case.

Thanks. Uninstalling the previous player allowed me to install 1.7.8.